GNATdoc.Documentation = {
  "label": "Glib.Type_Conversion_Hooks.Hook_Registrator",
  "qualifier": "(nested)",
  "summary": [
  ],
  "description": [
    {
      "kind": "paragraph",
      "children": [
        {
          "kind": "span",
          "text": "This package is used to allow automatic conversion from a C gtk object\n"
        },
        {
          "kind": "span",
          "text": "to Ada.\n"
        },
        {
          "kind": "span",
          "text": "To allow GtkAda to automatically bind an incoming externally created\n"
        },
        {
          "kind": "span",
          "text": "widget to the correct Ada type, you just need to instantiate this\n"
        },
        {
          "kind": "span",
          "text": "package, that will then automatically register the appropriate\n"
        },
        {
          "kind": "span",
          "text": "conversion methods.\n"
        }
      ]
    }
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Creator",
          "qualifier": "",
          "line": 85,
          "column": 16,
          "src": "srcs/glib-type_conversion_hooks.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 85,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Creator",
                      "href": "docs/glib__type_conversion_hooks___hook_registrator___spec.html#L85C16"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Expected_Object",
                      "href": "docs/glib__type_conversion_hooks___hook_registrator___spec.html#L85C25"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "GObject_Record",
                      "href": "docs/glib__object___spec.html#L720C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "'"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Class"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "GObject",
                      "href": "docs/glib__object___spec.html#L41C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "This function will create an Ada type corresponding to Handled_Type.\n"
                },
                {
                  "kind": "span",
                  "text": "In case Expected_Object is a child type of Handled_Type, an Ada\n"
                },
                {
                  "kind": "span",
                  "text": "object of type Expected_Object is returned instead.\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "This allows convertion of types we know are expected, but don't have\n"
                },
                {
                  "kind": "span",
                  "text": "registered conversion hook functions.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "Expected_Object",
              "line": 85,
              "column": 25,
              "type": {
                "label": "Glib.Object.GObject_Record",
                "docHref": "docs/glib__object___spec.html#L40C9"
              },
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};